"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppConfig = exports.getConfigValueByKey = void 0;
const paths_1 = require("./paths");
const logger_1 = require("@jarvis/logger");
const default_1 = require("./default");
const merge = require("deepmerge");
const utils_1 = require("@jarvis/utils");
const requireConfigByPaths_1 = require("./requireConfigByPaths");
const logger = new logger_1.JarvisLogger('Config');
function getConfig() {
    const configFilePaths = utils_1.env.isDev ? [
        paths_1.paths.jarvisDev,
        paths_1.paths.jarvis,
        paths_1.paths.configDev,
        paths_1.paths.config,
    ] : [
        paths_1.paths.jarvisProd,
        paths_1.paths.jarvis,
        paths_1.paths.configProd,
        paths_1.paths.config,
    ];
    return requireConfigByPaths_1.requireConfigByPaths(configFilePaths);
}
const appConfig = getConfig();
function isObject(obj) {
    return Object.prototype.toString.call(obj) === '[object object]';
}
function getConfigValueByKey(data = appConfig, target) {
    for (const key of Object.keys(data)) {
        if (key === 'target') {
            return data[key];
        }
        if (isObject(data[key])) {
            return getConfigValueByKey(data[key], target);
        }
    }
    logger.error(`未找到 ${target} 配置`);
    process.exit(1);
}
exports.getConfigValueByKey = getConfigValueByKey;
const getAppConfig = () => {
    return merge(default_1.getDefaultConfig(), appConfig);
};
exports.getAppConfig = getAppConfig;
//# sourceMappingURL=appConfig.js.map