"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requireConfigByPaths = void 0;
const fs_1 = require("fs");
const logger_1 = require("@jarvis/logger");
const logger = new logger_1.JarvisLogger('RequireConfigByPath');
const requireConfigByPaths = (filePaths) => {
    let readPath = null;
    filePaths.some(filePath => {
        const isExist = fs_1.existsSync(filePath);
        readPath = filePath;
        return isExist;
    });
    if (!readPath) {
        logger.error('未找到配置文件！请确认已正确配置');
        process.exit(1);
    }
    logger.log(`正在加载 Jarvis 配置文件 ${readPath} ...`);
    return require(readPath);
};
exports.requireConfigByPaths = requireConfigByPaths;
//# sourceMappingURL=requireConfigByPaths.js.map